Subject: Re: bug#23112: value of _CS_PATH\

From: John Darrington <[email-masked]>
Date: Wed, 4 May 2016 07:45:37 +0200

On Tue, May 03, 2016 at 10:22:43PM +0200, Ludovic Court??s wrote:
     [email-masked] (Ludovic Court??s) skribis:
     
     > John Darrington <[email-masked]> skribis:
     >
     >> Would it not be correct for guix to have 
     >>
     >>  confstr (_CS_PATH, buf, len);
     >>
     >> set the contents of buf with the bin directory of the currently 
     >> installed coreutils package?
     >>
     >> For me, it returns /bin:/usr/bin which is not correct.
     >
     > Fixing it is a bit tricky because:
     >
     >   1. The meaning of this variable is ill-defined.  Specifically, POSIX
     >      says it ???is the value for the PATH environment variable that finds
     >      all standard utilities.???  By ???standard utilities???, surely they must
     >      be talking of ???guile???, ???guix???, ???herd???, and a couple of others, but
     >      we can???t be sure.  ;-)
     >
     >      http://pubs.opengroup.org/onlinepubs/9699919799/basedefs/unistd.h.html
     >
     >   2. If CS_PATH refers to Coreutils, then that means that libc refers to
     >      Coreutils, which is inconvenient at best.
     >
     >   3. We could set CS_PATH to /run/current-system/profile/bin but that
     >      wouldn???t work on foreign distros.
     >
     > So I???m inclined to leave things as is.
     
     I???ll close the bug if you don???t mind, but???

OK
     
     > Did you find a situation where the invalid value was causing troubles?
     
     ??? I???m still interested in knowing this.  :-)

I didn't find a technical trouble.  Only political ones.
     
     TIA,
     Ludo???.

-- 
Avoid eavesdropping.  Send strong encryted email.
PGP Public key ID: 1024D/2DE827B3 
fingerprint = 8797 A26D 0854 2EAB 0285  A290 8A67 719C 2DE8 27B3
See http://sks-keyservers.net or any PGP keyserver for public key.